Skip to main content
`Ctrl`+`K`

# MatMumpsSetBlk

Set user-specified variable block sizes to be used with `-mat_mumps_icntl_15 1`

## Synopsis

    PetscErrorCode MatMumpsSetBlk(Mat F, PetscInt nblk, const PetscInt blkvar[], const PetscInt blkptr[])

Not collective, only relevant on the first process of the MPI communicator

## Input Parameters

- F - the factored matrix of A obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

- nblk - the number of blocks

- blkvar - see MUMPS documentation, `blkvar(blkptr(iblk):blkptr(iblk+1)-1)`, (`iblk=1, nblk`) holds the variables associated to block `iblk`

- blkptr - array starting at 1 and of size `nblk + 1` storing the prefix sum of all blocks

## See Also

Matrices, `MATSOLVERMUMPS`, `Mat`, `MatGetFactor()`, `MatMumpsSetIcntl()`, `MatSetVariableBlockSizes()`

## Level

advanced

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Implementations

MatMumpsSetBlk_MUMPS() in src/mat/impls/aij/mpi/mumps/impl/imumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages